org.apache.jmeter.util

## Class JMeterTreeNodeTransferable

- java.lang.Object
- - org.apache.jmeter.util.JMeterTreeNodeTransferable

All Implemented Interfaces:
  Transferable

    public class JMeterTreeNodeTransferable
    extends Object
    implements Transferable

Simple implementation of a transferable for `JMeterTreeNode` arrays based on serialization.

Since:
  2.9

### Field Summary

Fields
`static DataFlavor` `JMETER_TREE_NODE_ARRAY_DATA_FLAVOR`

### Constructor Summary

Constructors
Constructor and Description
`JMeterTreeNodeTransferable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getTransferData(DataFlavor flavor)`
`DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(DataFlavor flavor)`
`void` `setTransferData(JMeterTreeNode[] nodes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

    public static final DataFlavor JMETER_TREE_NODE_ARRAY_DATA_FLAVOR

### Constructor Detail

#### JMeterTreeNodeTransferable

    public JMeterTreeNodeTransferable()

### Method Detail

#### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

Specified by:
  `getTransferDataFlavors` in interface `Transferable`

#### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

Specified by:
  `isDataFlavorSupported` in interface `Transferable`

#### getTransferData

    public Object getTransferData(DataFlavor flavor)
                           throws UnsupportedFlavorException,
                                  IOException

Specified by:
  `getTransferData` in interface `Transferable`
Throws:
  `UnsupportedFlavorException`
  `IOException`

#### setTransferData

    public void setTransferData(JMeterTreeNode[] nodes)
                         throws IOException

Throws:
  `IOException`